{{- if .Values.ingress.enabled -}}
{{- $fullName := include "resizer.fullname" . -}}
{{- if and .Values.ingress.className (not (semverCompare ">=1.18-0" .Capabilities.KubeVersion.GitVersion)) }}
  {{- if not (hasKey .Values.ingress.annotations "kubernetes.io/ingress.class") }}
  {{- $_ := set .Values.ingress.annotations "kubernetes.io/ingress.class" .Values.ingress.className}}
  {{- end }}
{{- end }}
{{- if semverCompare ">=1.19-0" .Capabilities.KubeVersion.GitVersion -}}
apiVersion: networking.k8s.io/v1
{{- else if semverCompare ">=1.14-0" .Capabilities.KubeVersion.GitVersion -}}
apiVersion: networking.k8s.io/v1beta1
{{- else -}}
apiVersion: extensions/v1beta1
{{- end }}
kind: Ingress
metadata:
  name: {{ $fullName }}
  labels:
    {{- include "resizer.labels" . | nindent 4 }}
  {{- with .Values.ingress.annotations }}
  annotations:
    {{- tpl (toYaml .) $ | nindent 4 }}
  {{- end }}
spec:
  {{- if and .Values.ingress.className (semverCompare ">=1.18-0" .Capabilities.KubeVersion.GitVersion) }}
  ingressClassName: {{ .Values.ingress.className }}
  {{- end }}
  tls:
    - hosts:
        {{- range .Values.ingress.config.deployHosts }}
        - {{ tpl . $ | quote }}
        {{- end }}
      secretName: {{ $fullName }}-tls
  rules:
    {{- range .Values.ingress.config.deployHosts }}
    - host: {{ tpl . $ | quote }}
      http:
        paths:
        - pathType: Prefix
          path: "/custom-cgi/image/"
          backend:
            service:
              name: {{ $fullName }}
              port:
                name: http
    {{- end}}
{{- end }}
